Package help

# Class GHelpHTMLEditorKit

java.lang.Object
javax.swing.text.EditorKit
javax.swing.text.DefaultEditorKit
javax.swing.text.StyledEditorKit
javax.swing.text.html.HTMLEditorKit
help.GHelpHTMLEditorKit

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Accessible`

public class GHelpHTMLEditorKit extends HTMLEditorKit
A class that allows Ghidra to intercept JavaHelp navigation events in order to resolve them to Ghidra's help system. Without this class, contribution plugins have no way of referencing help documents within Ghidra's default help location.

This class is currently installed by the `GHelpSet`.

See Also:
  - `GHelpSet`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.html.HTMLEditorKit

  `HTMLEditorKit.HTMLFactory, HTMLEditorKit.HTMLTextAction, HTMLEditorKit.InsertHTMLTextAction, HTMLEditorKit.LinkController, HTMLEditorKit.Parser, HTMLEditorKit.ParserCallback`

  ## Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit

  `StyledEditorKit.AlignmentAction, StyledEditorKit.BoldAction, StyledEditorKit.FontFamilyAction, StyledEditorKit.FontSizeAction, StyledEditorKit.ForegroundAction, StyledEditorKit.ItalicAction, StyledEditorKit.StyledTextAction, StyledEditorKit.UnderlineAction`

  ## Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit

  `DefaultEditorKit.BeepAction, DefaultEditorKit.CopyAction, DefaultEditorKit.CutAction, DefaultEditorKit.DefaultKeyTypedAction, DefaultEditorKit.InsertBreakAction, DefaultEditorKit.InsertContentAction, DefaultEditorKit.InsertTabAction, DefaultEditorKit.PasteAction`

- ## Field Summary

  ### Fields inherited from class javax.swing.text.html.HTMLEditorKit

  `BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

  ### Fields inherited from class javax.swing.text.DefaultEditorKit

  `backwardAction, beepAction, beginAction, beginLineAction, beginLineUpAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deleteNextWordAction, deletePrevCharAction, deletePrevWordAction, downAction, endAction, endLineAction, endLineDownAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GHelpHTMLEditorKit()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deinstall(JEditorPane c)`
  `ViewFactory`
  `getViewFactory()`
  `void`
  `install(JEditorPane c)`
  `void`
  `read(Reader in, Document doc, int pos)`
  `static void`
  `zoomIn()`
  `static void`
  `zoomOut()`

  ### Methods inherited from class javax.swing.text.html.HTMLEditorKit

  `clone, createDefaultDocument, createInputAttributes, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getStyleSheet, insertHTML, isAutoFormSubmission, setAutoFormSubmission, setDefaultCursor, setLinkCursor, setStyleSheet, write`

  ### Methods inherited from class javax.swing.text.StyledEditorKit

  `getCharacterAttributeRun`

  ### Methods inherited from class javax.swing.text.DefaultEditorKit

  `createCaret, read, write`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GHelpHTMLEditorKit

    public GHelpHTMLEditorKit()

- ## Method Details

  - ### getViewFactory

    public ViewFactory getViewFactory()
    Overrides:
      `getViewFactory` in class `HTMLEditorKit`

  - ### install

    public void install(JEditorPane c)
    Overrides:
      `install` in class `HTMLEditorKit`

  - ### deinstall

    public void deinstall(JEditorPane c)
    Overrides:
      `deinstall` in class `HTMLEditorKit`

  - ### read

    public void read(Reader in, Document doc, int pos) throws IOException, BadLocationException
    Overrides:
      `read` in class `HTMLEditorKit`
    Throws:
      `IOException`
      `BadLocationException`

  - ### zoomOut

    public static void zoomOut()

  - ### zoomIn

    public static void zoomIn()